classification
Title: TCPServer option to bind and activate
Type: Stage:
Components: Extension Modules Versions:
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: collinwinter Nosy List: collinwinter, loewis, parente
Priority: normal Keywords: patch

Created on 2006-11-20 17:15 by parente, last changed 2007-03-10 14:42 by collinwinter. This issue is now closed.

Files
File name Uploaded Description Edit
bind.patch parente, 2006-11-30 01:17 Adds additional params to DocXMLRPCServer too
doc.patch parente, 2006-11-30 01:17 Documentation updates
Messages (6)
msg51379 - (view) Author: Peter Parente (parente) Date: 2006-11-20 17:15
Adds a flag to the TCPServer constructor to automatically  call server_bind and server_activate or not. Setting this flag to False gives the programmer the chance to manipulate allow_reuse_address on the instance without having to subclass TCPServer or its derivatives just to change the flag. Adds this flag to SimpleXMLRPCServer.__init__ also. See bug #1595742.
msg51380 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2006-11-22 06:50
Can you please provide documentation patches as well?
msg51381 - (view) Author: Peter Parente (parente) Date: 2006-11-30 01:18
I marked the parameter as new to Python 2.6 in the documentation. Is this correct?
msg51382 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2007-03-10 00:24
Martin, any reason not to apply this?
msg51383 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-03-10 11:51
It looks fine indeed. Please apply. Make sure you check #1595742 as well.
msg51384 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2007-03-10 14:42
Applied as r54262. Thanks for your patch!
History
Date User Action Args
2006-11-20 17:15:59parentecreate